module.exports = {
    env: {
        browser: true,
        es6: true,
        node: true,
    },
    "parser": "vue-eslint-parser",
    "parserOptions": {
        "parser": "@typescript-eslint/parser",
        "ecmaVersion": 2020,
        "sourceType": "module"
    },
    "plugins": [
        "@typescript-eslint"
    ],
    "extends": [
        "eslint:recommended",
        "plugin:@typescript-eslint/eslint-recommended",
        "plugin:@typescript-eslint/recommended",
        "plugin:vue/vue3-recommended",
    ],
    ignorePatterns: [
        "node_modules/", "public/", "resources/js/autogenerated/"
    ],
    rules: {
        "no-unused-vars": ["warn", {
            // We want to ignore the usage of state args since we
            // use that in most mutations.
            "argsIgnorePattern": "state"
        }],
        "vue/max-attributes-per-line": "off",
        "vue/multi-word-component-names": "off",
        "vue/singleline-html-element-content-newline": "off",
        "vue/html-closing-bracket-newline": "off",
        "vue/html-self-closing": "off",
        "vue/html-indent": "off",
    }
}