import { Scheduler } from "@bryntum/scheduler";
import axios from "axios";
import type { ScheduleItemModelByUser } from "../models/ScheduleItemModelByUser";
import { ScheduleItemModelByRoom } from "../models/ScheduleItemModelByRoom";
import { EventsEnum } from "../eventsEnum";

export const executeHalActionAndTriggerSchedulerEvent = ({
    scheduler,
    action,
    widgetId,
    onStartEvent,
    onSuccessEvent,
    onFinalEvent,
}: {
    scheduler: Scheduler,
    action,
    widgetId: string,
    onStartEvent: string,
    onSuccessEvent: string,
    onFinalEvent: string,
}) => {
    if (action.halFormFields.length > 0) {
        scheduler.trigger(EventsEnum.TbarWantsHalFormToOpen, action)
        return;
    }
    scheduler.trigger(onStartEvent, { id: widgetId, })
    axios[action.method](action.route, {})
        .then(response => {
            scheduler.trigger(onSuccessEvent, { id: widgetId, data: response.data })
        })
        .catch(function (error) {
            console.log(error)
        })
        .finally(() => {
            // We might have switched between horizontal and vertical by now
            // in which case the scheduler is undefined.
            if (typeof scheduler?.trigger === 'function')
                scheduler?.trigger(onFinalEvent, { id: widgetId, })
        })
}

export const fetchHalActionForScheduleItem = async (scheduleItem: ScheduleItemModelByUser | ScheduleItemModelByRoom): Promise<ActionSpec[] | []> => {
    await console.log("dummy")
}