import {DateHelper} from '@bryntum/scheduler';
export default {
    beforePaste: ({source, eventRecords, resourceRecord, date}) => {
        console.log("beforePaste")
        /* Custom copy/paste due to https://github.com/bryntum/support/issues/5770 */
        const events = []
        for (let i = 0; i < eventRecords.length; i++) {
            const event = eventRecords[i].copy({frontendId: null})
            const startDate = DateHelper.copyTimeValues(new Date(date), event.startDate)
            const endDate = DateHelper.copyTimeValues(new Date(date), event.endDate)
            event.setStartEndDate(startDate, endDate)
            event.assign(resourceRecord, true)
            events.push(event)
        }
        source.eventStore.add(events)
        return false
    }
}