export enum EventsEnum {
    TbarHalActionLoading = "TbarHalActionLoading",
    TbarHalActionStoppedLoading = "TbarHalActionStoppedLoading",
    TbarHalActionRedirectBack = "TbarHalActionRedirectBack",
    TbarHalRepeatedActionSucceeded = "TbarHalRepeatedActionSucceeded",
    TbarWantsHalFormToOpen = "TbarWantsHalFormToOpen",
    TbarHalFormSubmitSuccess = "TbarHalFormSubmitSuccess",
    TbarHalOneTimeActionSucceeded = "TbarHalOneTimeActionSucceeded",
    ScheduleItemHalLoading = "ScheduleItemHalLoading",
    ScheduleItemHalReturnedChangeSet = "ScheduleItemHalReturnedChangeSet",
    ScheduleItemHalRequiresFormForSubmission = "ScheduleItemHalRequiresFormForSubmission",
    ScheduleItemHalResponseHasDataToShow = "ScheduleItemHalResponseHasDataToShow",
    MetaDataUpdatedSoReRender = "MetaDataUpdatedSoReRender",
    ScheduleItemHalFinal = "ScheduleItemHalFinal",
}

export enum EventActionsEnum {
    change_schedule_note_action = EventsEnum.TbarHalFormSubmitSuccess,
    change_schedule_hard_constraint_note_action = EventsEnum.TbarHalFormSubmitSuccess,
    solve_schedule_action = EventsEnum.TbarHalActionRedirectBack,
    score_schedule_action = EventsEnum.TbarHalRepeatedActionSucceeded,
    show_schedule_action = EventsEnum.TbarHalOneTimeActionSucceeded,
    hide_schedule_action = EventsEnum.TbarHalOneTimeActionSucceeded,
    publish_schedule_action = EventsEnum.TbarHalOneTimeActionSucceeded,
    approve_wish_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    reject_wish_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    auto_approve_wish_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    request_approval_of_wish_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    exception_broken_hard_constraints = EventsEnum.ScheduleItemHalRequiresFormForSubmission,
    shift_swap_request_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    shift_swap_reminder_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    shift_swap_accept_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    shift_swap_reject_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    shift_swap_retract_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    shift_punch_in_action = EventsEnum.ScheduleItemHalRequiresFormForSubmission,
    shift_punch_out_action = EventsEnum.ScheduleItemHalRequiresFormForSubmission,
    recorded_hours_action = EventsEnum.ScheduleItemHalRequiresFormForSubmission,
    call_in_sick_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    cancel_sickness_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    auction_shift_of_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    bid_on_shift_auction_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    rank_order_candidates = EventsEnum.ScheduleItemHalResponseHasDataToShow,
    approve_replacement_action = EventsEnum.ScheduleItemHalReturnedChangeSet,
    horizontal_schedule_action = EventsEnum.MetaDataUpdatedSoReRender,
    vertical_schedule_action = EventsEnum.MetaDataUpdatedSoReRender,
    rotate_by_room_schedule_action = EventsEnum.MetaDataUpdatedSoReRender,
    rotate_by_user_schedule_action = EventsEnum.MetaDataUpdatedSoReRender,
    hide_days_without_shifts_action = EventsEnum.MetaDataUpdatedSoReRender,
    show_days_without_shifts_action = EventsEnum.MetaDataUpdatedSoReRender,
    group_schedule_by_team_schedule_action = EventsEnum.MetaDataUpdatedSoReRender,
    ungroup_schedule_by_team_schedule_action = EventsEnum.MetaDataUpdatedSoReRender,
    next_layout_schedule_action = EventsEnum.MetaDataUpdatedSoReRender,
}

export enum IconsEnum {
    change_schedule_note_action = "b-fa-comment",
    change_schedule_hard_constraint_note_action = "b-fa-comments",
    solve_schedule_action = "b-fa-calculator",
    score_schedule_action = "b-fa-envelope",
    show_schedule_action = "b-fa-eye",
    hide_schedule_action = "b-fa-eye-slash",
    publish_schedule_action = "b-fa-envelope",
    approve_wish_action = "b-fa-thumbs-up",
    reject_wish_action = "b-fa-thumbs-down",
    auto_approve_wish_action = "b-fa-thumbs-up",
    request_approval_of_wish_action = "b-fa-thumbs-up",
    exception_broken_hard_constraints = "b-fa-triangle-exclamation",
    shift_swap_request_action = "b-fa-rotate",
    shift_swap_reminder_action = "b-fa-rotate",
    shift_swap_accept_action = "b-fa-check",
    shift_swap_reject_action = "b-fa-xmark",
    shift_swap_retract_action = "b-fa-rotate",
    shift_punch_in_action = "b-fa-stopwatch",
    shift_punch_out_action = "b-fa-stopwatch",
    recorded_hours_action = "b-fa-stopwatch",
    call_in_sick_action = "b-fa-house-medical",
    cancel_sickness_action = "b-fa-house-medical",
    auction_shift_of_action = "b-fa-satellite-dish",
    bid_on_shift_auction_action = "b-fa-cart-shopping",
    rank_order_candidates = "b-fa-envelope",
    approve_replacement_action = "b-fa-arrow-down-wide-short",
    horizontal_schedule_action = "b-fa-rotate",
    vertical_schedule_action = "b-fa-rotate",
    rotate_by_room_schedule_action = "b-fa-arrow-down-wide-short",
    rotate_by_user_schedule_action = "b-fa-arrow-down-wide-short",
    hide_days_without_shifts_action = "b-fa-down-left-and-up-right-to-center",
    show_days_without_shifts_action = "b-fa-up-right-and-down-left-from-center",
    group_schedule_by_team_schedule_action = "b-fa-object-group",
    ungroup_schedule_by_team_schedule_action = "b-fa-object-ungroup",
    next_layout_schedule_action = "b-fa-bug",
}

export enum ShowTextEnum {
    solve_schedule_action = "true",
    score_schedule_action = "false",
    show_schedule_action = "false",
    hide_schedule_action = "false",
    publish_schedule_action = "true",
    approve_wish_action = "true",
    reject_wish_action = "true",
    auto_approve_wish_action = "true",
    request_approval_of_wish_action = "true",
    exception_broken_hard_constraints = "true",
    shift_swap_request_action = "true",
    shift_swap_reminder_action = "true",
    shift_swap_accept_action = "true",
    shift_swap_reject_action = "true",
    shift_swap_retract_action = "true",
    shift_punch_in_action = "true",
    shift_punch_out_action = "true",
    recorded_hours_action = "true",
    call_in_sick_action = "true",
    cancel_sickness_action = "true",
    auction_shift_of_action = "true",
    bid_on_shift_auction_action = "true",
    rank_order_candidates = "true",
    approve_replacement_action = "true",
    rotate_by_room_schedule_action = "false",
    rotate_by_user_schedule_action = "false",
    hide_days_without_shifts_action = "false",
    show_days_without_shifts_action = "false",
    group_schedule_by_team_schedule_action = "false",
    ungroup_schedule_by_team_schedule_action = "false",
    next_layout_schedule_action = "false",

}

export enum AdditionalStoresEnum {
    wishTypes = "wishTypes",
    scheduleActions = "scheduleActions",
    rooms = "rooms",
    users = "users",
    timeRanges = "timeRanges",
}