import { EventModel } from "@bryntum/scheduler"

export class ScheduleItemModelByRoom extends EventModel {

    static get fields() {
        return [
            { name: "name", type: "string" },
            { name: "id", dataSource: "frontendId", },
            { name: "backendId", type: "integer" },
            { name: "wishTypeId", type: "integer" },
            { name: "userId", type: "integer" },
            { name: "resourceId", dataSource: "roomId", },
            { name: "note", type: "string" },
            { name: "eventType", type: "string", defaultValue: "wish" }, // Must be wish so it works in the wish view. Otherwise, add listener to wishesConfig. // TODO Enumize/Swaggerize
            { name: "startDate", dataSource: "start", },
            { name: "endDate", dataSource: "end", },
            { name: "historic", type: "boolean", defaultValue: true }, // TODO Enumize/Swaggerize
            { name: "durationUnit", defaultValue: "day" },
            { name: "include_in_user_team_filter", type: "boolean" },
            // Not need since native? {name: "cls", type: "string"},
            // Not need since native? {name: "eventStyle", type: "string"},
            // At the moment in present in ScheduleItem.php {name: "schedule_id", type: "integer"},
            // At the moment in present in ScheduleItem.php {name: "plan_detail_id", type: "integer"},
            // At the moment in present in ScheduleItem.php {name: "color", type: "string"},
            // At the moment in present in ScheduleItem.php {name: "state", type: "string"},
            // At the moment in present in ScheduleItem.php {name: "staffing_mode", type: "string"},
            // At the moment in present in ScheduleItem.php {name: "preferred_user_ids", type: "array"},
            // At the moment in present in ScheduleItem.php {name: "allowed_room_collisions", type: "array"},
            // At the moment in present in ScheduleItem.php {name: "is_pinned", type: "boolean"},
        ];
    }
}