import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";

export default defineConfig(({ command }) => ({
    base: command === "serve" ? process.env.ASSET_URL || "" : `${process.env.ASSET_URL || ""}/build/`,
    mode: "development",
    publicDir: false,
    build: {
        sourcemap: true,
        manifest: true,
        outDir: "public/build",
        rollupOptions: {
            input: "src/main.js",
        },
    },
    resolve: {
        alias: {
            "/img": "public/img",
        },
    },
    plugins: [vue()],
    server: {
        watch: {
            usePolling: true,
            timeout: 1000,
        },
        hmr: false,
        host: true,
        fs: { allow: [`${process.cwd()}`, '..'] },
        port: process.env?.VITE_PORT ?? 3000
    },
}));